> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fluxend.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create form response

> Store a new form response for a specific form



## OpenAPI

````yaml post /forms/{formUUID}/responses
openapi: 3.0.0
info:
  description: >-
    Fluxend is backend as-a-service platform that allows you to build, deploy,
    and scale applications without managing infrastructure.
  title: Fluxend API
  contact:
    name: API Support
    url: http://github.com/fluxend/fluxend
    email: hello@fluxend.app
  version: '1.0'
servers:
  - url: https://api.fluxend.app
security: []
paths:
  /forms/{formUUID}/responses:
    post:
      tags:
        - Form Responses
      summary: Create form response
      description: Store a new form response for a specific form
      parameters:
        - description: Bearer Token
          name: Authorization
          in: header
          required: true
          schema:
            type: string
        - description: Project UUID
          name: projectUUID
          in: path
          required: true
          schema:
            type: string
        - description: Form UUID
          name: formUUID
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/form.CreateResponseRequest'
        description: Request body to create a new form response
        required: true
      responses:
        '201':
          description: Form response details
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/response.Response'
                  - type: object
                    properties:
                      content:
                        $ref: '#/components/schemas/form.ResponseForAPI'
        '400':
          description: Bad request response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/response.BadRequestErrorResponse'
        '401':
          description: Unauthorized response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/response.UnauthorizedErrorResponse'
        '422':
          description: Unprocessable input response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/response.UnprocessableErrorResponse'
        '500':
          description: Internal server error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/response.InternalServerErrorResponse'
components:
  schemas:
    form.CreateResponseRequest:
      type: object
      properties:
        projectUUID:
          type: string
        response:
          type: object
          additionalProperties: true
    response.Response:
      type: object
      properties:
        content: {}
        errors:
          type: array
          items:
            type: string
        metadata: {}
        success:
          type: boolean
    form.ResponseForAPI:
      type: object
      properties:
        formUuid:
          type: string
        responses:
          type: array
          items:
            $ref: '#/components/schemas/form.FieldResponseForAPI'
        uuid:
          type: string
    response.BadRequestErrorResponse:
      type: object
      properties:
        content:
          type: string
          example: 'null'
        errors:
          type: array
          items:
            type: string
          example:
            - Invalid input parameter
        success:
          type: boolean
          example: false
    response.UnauthorizedErrorResponse:
      type: object
      properties:
        content:
          type: string
          example: 'null'
        errors:
          type: array
          items:
            type: string
          example:
            - Unauthorized access
        success:
          type: boolean
          example: false
    response.UnprocessableErrorResponse:
      type: object
      properties:
        content:
          type: string
          example: 'null'
        errors:
          type: array
          items:
            type: string
          example:
            - Validation failed
        success:
          type: boolean
          example: false
    response.InternalServerErrorResponse:
      type: object
      properties:
        content:
          type: string
          example: 'null'
        errors:
          type: array
          items:
            type: string
          example:
            - Internal server error
        success:
          type: boolean
          example: false
    form.FieldResponseForAPI:
      type: object
      properties:
        createdAt:
          type: string
        formFieldUuid:
          type: string
        formResponseUuid:
          type: string
        updatedAt:
          type: string
        uuid:
          type: string
        value:
          type: string

````